Get all sessions for display and portal page

Using this API, you can get sessions details for an event.

You need to send eventurl as a path parameter. You can pass page, size, expand, tagIds, trackIds, sessionFormat, past, showPastAndUpcoming, filterDate and calledFrom as query parameter for pagination and filter support.

This API can be used by any registered attendee within the event.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

AttributesDescription
sessionIdThe sessionId represents the unique ID of each session. It will be generated automatically when a new session is created.
titleIt contains the title of the session.
startTimeIt contains the session's starting time in the yyyy/MM/dd HH:mm format.
endTimeIt contains the session's end time in the yyyy/MM/dd HH:mm format.
locationlocation for session.
descriptionIt contains the description of the session.
It's only 65024 Characters are allowed to add description.
formatIt's returns the session format. Can set when create session. There are seven type of session can create that contains MAIN_STAGE, BREAKOUT_SESSION, MEET_UP, WORKSHOP, EXPO, BREAK, OTHER
speakerListIt's returns the list of speakers that associated with session. It's contains speaker details like speakerId, firatName, lastName, photoUrl and other.
currentUserRegisteredEventTicketIdIt's contains the Event Ticketing ID that a ticketing holder user can only register for a particular session. Event Ticketing ID generates when we create Ticketing Type.
tracksIt contains the tracks details like ID, name, colour, description and position. It will filter session from all session.
streamProviderIt's identify session stream provider, it can be ACCELEVENTS, WISTIA, YOUTUBE, VIMEO, FACEBOOK, ZOOM, DIRECT_UPLOAD.
subStreamProviderIt's identify session sub stream provider, it can be VOXEET, CHIME, OPENTOK, AGORA.
streamUrlIt's a session stream endpoint.
rtmpUrlMux's standard RTMP entry point. Compatible with the majority of streaming applications and services.
meetingPasswordIt contains the streaming session password for entry into the session.
sessionVisibilityTypeIt's contains the session visibility type, there are two type of session visibility : PUBLIC, PRIVATE.
Public session visible to everyone and private is restricted.
recordSessionIt will return true if record session enable or else false.
hideVideoControlsIt will return true if video controls enable or else false. If it's true, will hide video control from session and if it's false, it will show video controls.
exihiborListList of exhibitors with their details which associated with session.
postSessionCallToActionJsonIt's returns details for postSessionCallToActionJson which is when the session ends it should see a message suggesting what I should go see next during the event.
playBackRestrictionTokenIt's contains playback restriction token, which is allows you to set additional rules for playing videos. For instance, viewers can play videos embedded on the https://example.com website when you set the Playback Restrictions with example.com as an allowed domain. Any Video requests from other websites are denied.
thumbnailRestrictionTokenIt's contains playback restriction token, which is allows you to set additional rules for thumbnails. For instance, viewers can view thumbnails embedded on the https://example.com website when you set the Playback Restrictions with example.com as an allowed domain. Any thumbnails request from other websites are denied.
recordsFilteredIt will return a count of filtered records of session.
recordsTotalIt will return a count of total session for event.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource
403Accessing the resource you were trying to reach is forbidden
404The resource you were trying to reach is not found
4040200Event Not Found
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here 'demo' is the event url.

Query Params
string

Get filter session records according to search value passing in request

int32
Defaults to 0

Pages are zero indexed, thus providing 0 for page will return the first page.

int32
Defaults to 10

Size will returns number of records when call api default will returns 10 records

string
Defaults to TAG,TRACK,SPEAKER,currentUserRegisteredEventTicketId

Expands Get Records accordingly we are passing in request param in expand value as comma separated like : TAG,TRACK,SPEAKER,currentUserRegisteredEventTicketId

string

Filter Tag Ids in comma separated for filtering session records according to tags

string

Filter Tracks Ids in comma separated for filtering session records according to Tracks

string
enum

This Attribute used to return filter sessionFormat according as we are setting from portal

Allowed:
boolean

If past is null, i.e not passed, it will pull all sessions, past=true, should pull past session, past=false, should pull upcoming sessions

boolean

If showPastAndUpcoming is true, it will pull all sessions, showPastAndUpcoming=false, should pull upcoming sessions

string

Date format should be yyyy-MM-dd’T’HH:mm:ssZ, E.g 2020-06-19T00:00:00+0530, Hours and minutes should be zero

string

Toggle to Hide this session from attendees who cannot register for this session should only be applicable to portal agenda

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json